#!/bin/sh

set -e

dpkg --add-architecture arm64
apt-get update
apt-get dist-upgrade -y
apt-get install -y \
    gcc-aarch64-linux-gnu \
    g++-aarch64-linux-gnu \
    make \
    cmake \
    git \
    dos2unix \
    dpkg-dev \
    wget \
    subversion \
    gettext \
    \
    libc6-dev:arm64 \
    libbz2-dev:arm64 \
    libpng-dev:arm64 \
    libjpeg-dev:arm64 \
    libxxf86vm-dev:arm64 \
    libglvnd-dev:arm64 \
    libsqlite3-dev:arm64 \
    libogg-dev:arm64 \
    libvorbis-dev:arm64 \
    libopenal-dev:arm64 \
    libcurl4-gnutls-dev:arm64 \
    libfreetype6-dev:arm64 \
    zlib1g-dev:arm64 \
    libgmp-dev:arm64 \
    libxi-dev:arm64 \
    libluajit-5.1-dev:arm64 \
    libleveldb-dev:arm64 \
    libncurses-dev:arm64 \
    libspatialindex-dev:arm64 \
    libhiredis-dev:arm64 \
    libgles2:arm64
